> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 객체 태그 추가

> 객체 버전에 태그를 추가합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json put /objs/{object_id}/versions/{digest}/tags
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /objs/{object_id}/versions/{digest}/tags:
    put:
      tags:
        - Objects
      summary: 객체 태그 추가
      description: 객체 버전에 태그를 추가합니다.
      operationId: obj_add_tags_objs__object_id__versions__digest__tags_put
      parameters:
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - in: path
          name: digest
          required: true
          schema:
            title: Digest
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjTagsBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjAddTagsRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjTagsBody:
      additionalProperties: false
      description: 태그를 추가하거나 제거하기 위한 요청 본문입니다(object_id와 digest는 경로에서 가져옵니다).
      properties:
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        tags:
          examples:
            - - production
              - reviewed
          items:
            type: string
          title: Tags
          type: array
      required:
        - project_id
        - tags
      title: ObjTagsBody
      type: object
    ObjAddTagsRes:
      properties: {}
      title: ObjAddTagsRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````